Antontan-taratasy API
Ny Infrastructure an'ny Uncensored Intelligence
Ny API AI uncensored: model Shannon tsy misy fandavana ary tsy misy filter, atolotra avy amin'ny GPU anay manokana. Mifanaraka amin'ny OpenAI sy Anthropic — ampiasao ny SDK efa fampiasainao, key iray, streaming, tool calling ary reasoning amin'ny endpoint rehetra.
- 22 model uncensored
- 256K context window
- manomboka amin'ny $0.50/1M
- 3 API mifanaraka
- 3 tambajotra: TLS, Tor, I2P
Atombohy ny fananganana Andramo ny Playground
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-3",
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-3',
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-3",
Messages: []openai.ChatCompletionMessage{
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-3",
"messages": [
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' Model & vidiny ISAKY NY 1M TOKENS
Fetra, id ary ny fomba fananganana ny vidinyModel open-weight hosted context 262,144 tokens isaky ny id; input sy output iantohana tsirairay; ny id tsirairay dia manaiky izay ekena amin'ny model tahaniny
- Uncensored
DeepSeek-V4-Pro-0813
3BIT-REAPDeepSeek · 1.6T MoE · 49B active
Model flagship ho an'ny reasoning lalina sy output lava.
Model idDeepSeek-V4-Pro-0813-3BIT-REAP- Context
- 256K
- Input
- Soratra miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Miditra / cached / mivoaka isaky ny 1M
- $1.95 / $0.488 / $3.90
- Uncensored
GLM-5.2
3BIT-REAPZ.ai · 744B MoE · 40B active
Model generalist mahery misy output marobe fiteny.
Model idGLM-5.2-3BIT-REAP- Context
- 256K
- Input
- Soratra miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Miditra / cached / mivoaka isaky ny 1M
- $0.73 / $0.183 / $2.34
- Uncensored
Kimi-K3
3BIT-REAPMoonshot AI · 2.8T MoE · 104B active
Model ambony nohamarinina ho an'ny valiny lalina sy feno antsipiriany.
Model idKimi-K3-3BIT-REAP- Context
- 256K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Miditra / cached / mivoaka isaky ny 1M
- $3.83 / $0.958 / $19.12
- Uncensored
Nemotron3Ultra
3BIT-REAPNVIDIA · 550B hybrid Mamba-Attention MoE · 55B active
Model lehibe mahomby manana reasoning mahery isaky ny dolara.
Model idNemotron3Ultra-3BIT-REAP- Context
- 256K
- Input
- Soratra miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Miditra / cached / mivoaka isaky ny 1M
- $0.75 / $0.188 / $3.30
- Uncensored
MiniMax-M3
3BIT-REAPMiniMax · 428B MoE · 23B active · sparse attention
Model haingana sy mora vidy ho an'ny asa be dia be.
Model idMiniMax-M3-3BIT-REAP- Context
- 256K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Miditra / cached / mivoaka isaky ny 1M
- $0.50 / $0.125 / $2.00
- Uncensored
DeepSeek-V4-Flash-0731
W4A16-AUTOROUND-REAPDeepSeek · 284B MoE · 13B active
Model DeepSeek haingana mampifandanja ny hafainganana sy ny kalitao.
Model idDeepSeek-V4-Flash-0731-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Soratra miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Miditra / cached / mivoaka isaky ny 1M
- $0.50 / $0.125 / $2.00
- Uncensored
Kimi-K2.6
W4A16-AUTOROUND-REAPMoonshot AI · 1T MoE · 32B active
Model mahay ho an'ny reasoning andavanandro sy ny fanoratana drafitra.
Model idKimi-K2.6-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Miditra / cached / mivoaka isaky ny 1M
- $0.78 / $0.195 / $3.67
- Uncensored
Laguna-S-2.1
W4A16-AUTOROUND-REAPPoolside · 118B MoE · 8B active
Model lafo-bidy ambany indrindra ho an'ny asa maivana.
Model idLaguna-S-2.1-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Soratra miditra
- Structured output
- Tsy misy structured output
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Miditra / cached / mivoaka isaky ny 1M
- $0.50 / $0.125 / $2.00
- Uncensored
inkling
W4A16-AUTOROUND-REAPThinking Machines · 975B MoE · 41B active
Model mamorona manana feo fanoratana miavaka.
Model idinkling-W4A16-AUTOROUND-REAP- Context
- 256K
- Input
- Soratra + sary miditra
- Structured output
- Objet JSON
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Miditra / cached / mivoaka isaky ny 1M
- $1.42 / $0.355 / $6.07
- Uncensored
MiMo-V2.5-Pro
W8A16Xiaomi · 1.02T MoE · 42B active · 8-bit
Model pro kely ho an'ny output voarafitra sy mazava tsara.
Model idMiMo-V2.5-Pro-W8A16- Context
- 256K
- Input
- Soratra miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Miditra / cached / mivoaka isaky ny 1M
- $0.50 / $0.125 / $2.00
- Uncensored
MiMo-V2.5
W8A16Xiaomi · 8-bit multimodal · W8A16
Model kely sy mazotoa ho an'ny asa tsotra amin'ny vidiny kely indrindra.
Model idMiMo-V2.5-W8A16- Context
- 256K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Miditra / cached / mivoaka isaky ny 1M
- $0.50 / $0.125 / $2.00
- Uncensored
Hy3
W8A16Tencent · 295B MoE · 21B active · 8-bit
Model mora vidy ho an'ny valiny fohy amin'ny resaka.
Model idHy3-W8A16- Context
- 256K
- Input
- Soratra miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Reasoning effort
- Prompt caching
- Streaming
- Miditra / cached / mivoaka isaky ny 1M
- $0.50 / $0.125 / $2.00
Model Shannon tarif tsy miova iray ho an'ny input sy output
-
UncensoredShannon 1.6 Lite
Valiny haingana sy mahomby ho an'ny asa andavanandro
Model idshannon-1.6-lite- Context
- 192K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Web search
- Streaming
- Vidiny / 1M tokens
- $3.90
-
UncensoredShannon 1.6 Pro
Reasoning mandroso ho an'ny olana sarotra
Model idshannon-1.6-pro- Context
- 192K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Vidiny / 1M tokens
- $7.80
-
UncensoredShannon 2 Lite
Shannon 2 Lite: pipeline haingana mieritreritra-manoratra-mamerina vakiana miaraka amin'ny reasoning trace hita. Chat andavanandro, famintinana ary Q&A.
Model idshannon-2-lite- Context
- 192K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Vidiny / 1M tokens
- $3.90
-
UncensoredShannon 2 Pro
Shannon 2 Pro: dingana mieritreritra-manoratra-mamerina lalina kokoa ho an'ny famakafakana, fanoratana lava ary reasoning amin'ny dingana maro.
Model idshannon-2-pro- Context
- 192K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Vidiny / 1M tokens
- $5.85
-
UncensoredShannon 3
Model Shannon amin'ny taranaka farany misy reasoning haingana amin'ny vidiny tsy miova sy ambany.
Model idshannon-3- Context
- 192K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Vidiny / 1M tokens
- $3.35
-
UncensoredShannon 3 Pro
Ambaratonga Shannon 3 manana fahaiza-manao ambony kokoa ho an'ny asa sarotra amin'ny dingana maro.
Model idshannon-3-pro- Context
- 192K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Vidiny / 1M tokens
- $3.35
-
UncensoredShannon 3.1
Shannon 3 amin'ny hardware anay manokana, streaming amin'ny hafainganam-pandehana feno tsy misy rate gate.
Model idshannon-3.1- Context
- 192K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Vidiny / 1M tokens
- $3.35
-
UncensoredShannon 3.1 Pro
Reasoning lalina amin'ny hafainganam-pandehana feno miaraka amin'ny fikarohana ao ambadika ho an'ny fanontaniana sarotra.
Model idshannon-3.1-pro- Context
- 192K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Web search
- Streaming
- Vidiny / 1M tokens
- $3.35
-
UncensoredShannon 3.5
One streaming answer that thinks, searches, draws charts and diagrams and writes files inline.
Model idshannon-3.5- Context
- 192K
- Input
- Soratra + sary miditra
- Structured output
- JSON schema
- Tools
- Streaming
- Vidiny / 1M tokens
- $3.35
-
UncensoredShannon Coder 1
Manam-pahaizana manokana amin'ny kaody sy tools: fanovana agentic, rakitra lava ary tool loop henjana.
Model idshannon-coder-1- Context
- 128K
- Input
- Soratra miditra
- Structured output
- JSON schema
- Tools
- Reasoning
- Streaming
- Vidiny / 1M tokens
- $8.00
Mitsidiha ny docs
- Fanombohana haingana Mamoròna key, ampitondrao any amin'i Shannon ny SDK-nao ary alefaso ny fangatahana voalohany.
- Model & vidiny Ny model id rehetra miaraka amin'ny context window, input ary vidiny isaky ny 1M tokens.
- Fanamarinana Key iray ho an'ny endpoint rehetra: header Bearer na x-api-key.
- Fandefasana mivantana Server-sent events misy reasoning deltas; tonga ao amin'ny chunk farany ny usage.
- Antso fiasa Faritana ny tools, avela hiantso azy ny model, ary tarihina amin'ny tool_choice.
- Vokatra voarafitra Valiny amin'ny endrika objet JSON na araka ny JSON schema-nao.
- Reasoning effort Vakio ny reasoning stream; hamaritra ny effort amin'ny model open-weight hosted.
- Fitehirizana prompt Ny model hosted dia mitahiry ho azy ny prefix prompt miverimberina, amin'ny 25% ny vidin'ny input.
- Responses API Ny dialect OpenAI Responses amin'ny model sy key mitovy.
- Anthropic Tazony ny SDK Anthropic sy ny kaody Messages-nao; ovay fotsiny ny base URL.
- Fitaovana CLI ho an'ny coding Claude Code sy Codex CLI miaraka amin'i Shannon ho model ao ambadiky.
- Fitantanana hadisoana Status codes, karazana hadisoana ary ny endriky ny vatan'ny hadisoana.
Vonona hanorina ve?
Misy tier maimaim-poana ao amin'ny kaonty rehetra. Iray tsindrio monja ny key-nao.